Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357384 - [Docs] [VMware] Package name mismatch in the documentation: openstack-neutron-vmware
Summary: [Docs] [VMware] Package name mismatch in the documentation: openstack-neutron...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 8.0 (Liberty)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: async
: 8.0 (Liberty)
Assignee: Martin Lopes
QA Contact: Deepti Navale
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-18 06:13 UTC by Chaitanya
Modified: 2016-11-09 03:48 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-09 03:48:19 UTC
cshastri: needinfo+


Attachments (Terms of Use)

Description Chaitanya 2016-07-18 06:13:36 UTC
Description of problem:

According to RHOSP 8 documentation, the package name for VMWare NSX plugin is openstack-neutron-vmware: https://access.redhat.com/documentation/en/red-hat-openstack-platform/version-8/vmware-integration-guide/#install_and_enable_the_vmware_nsx_plugin. 

However, according to this bug: https://bugzilla.redhat.com/show_bug.cgi?id=1334747 and this Bug Fix Advisory: https://access.redhat.com/errata/RHBA-2016:1353, it seems that the package name has changed to python-networking-vmware-nsx which was installed and verified by customer.

But we can see both of these packages are present in RHOSP 7 repositories. Can you confirm that the package name has really changed? If changed, we need to update the package name in this documentation: https://access.redhat.com/documentation/en/red-hat-openstack-platform/version-8/vmware-integration-guide/#install_and_enable_the_vmware_nsx_plugin
 
Version-Release number of selected component (if applicable):
RHOSP 8

How reproducible:
Each time.

Steps to Reproduce:
1.Search for NSX plugin package in RHOSP 7 and RHOSP 8 referring the official documentation 


Actual results:
No package openstack-neutron-vmware is present in RHOSP 8 repository.

Expected results:
Package name should be changed in documentation to python-networking-vmware-nsx which then can be referred by customers to install VMWare NSX plugin

Comment 2 Andrew Dahms 2016-07-19 00:01:26 UTC
Hi Chaitanya,

Thank you for raising this bug.

The changes to the package name itself should be easy enough, but I am also reaching out to product management to seek clarification of the package naming in OSP 7 to see if any further guidance will be required.

We will provide another update when we are able.

Kind regards,

Andrew

Comment 4 Andrew Dahms 2016-08-09 00:08:50 UTC
Assigning to Martin for review.

Martin - all we should need to do here is update the docs for OSP 8 and above to use the new package name.

Comment 5 Martin Lopes 2016-08-09 02:18:11 UTC
Updated package name for master and osp8.

Republished osp8 guide:
https://access.redhat.com/documentation/en/red-hat-openstack-platform/8/single/vmware-integration-guide/


Note You need to log in before you can comment on or make changes to this bug.